Bug 586906 - dhclient doesn't request domain-search by default
dhclient doesn't request domain-search by default
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 588352
  Show dependency treegraph
 
Reported: 2010-04-28 09:51 EDT by Jiri Popelka
Modified: 2010-05-22 06:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 588352 (view as bug list)
Environment:
Last Closed: 2010-05-22 06:25:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2010-04-28 09:51:49 EDT
Description of problem:
Since bug #437840 was fixed,
dhclient has known how to use dhcp.domain-search option sent by server,
but it doesn't request this option by default.

Steps to Reproduce:
1. Configure server to send domain-search option
echo 'option domain-search "sales.example.com", "example.com";' >> /etc/dhcp/dhcpd.conf
2. Start server
2. Start dhclient
  
Actual results:
Server doesn't send domain-search option because client doesn't request it.

Expected results:
1) Server sends defined domain-search option to client because client requests it.

Additional info:
man dhcp-options
Comment 1 Fedora Update System 2010-04-28 10:19:53 EDT
dhcp-4.1.1-18.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dhcp-4.1.1-18.fc13
Comment 2 Fedora Update System 2010-05-21 21:49:52 EDT
dhcp-4.1.1-21.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.